summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2019-08-13 17:13:36 +0000
committerDaniel Bermond2019-08-13 17:13:36 +0000
commit54c8fb2c2faae56af4ec664d2d65ecc1f7ac31f7 (patch)
treea50ea34263803848ebde1053ee943dbcb8b00279
parenta9873205e671e6787130885aa0db8d65925d9487 (diff)
downloadaur-54c8fb2c2faae56af4ec664d2d65ecc1f7ac31f7.tar.gz
Updated to version 435.17
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD16
-rw-r--r--nvidia-utils-beta-change-vulkan-driver-path.patch12
3 files changed, 21 insertions, 31 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e3c886e539b..37f06c956a9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,20 +1,18 @@
pkgbase = nvidia-utils-beta
pkgdesc = NVIDIA drivers utilities (beta version)
- pkgver = 430.40
+ pkgver = 435.17
pkgrel = 1
url = https://www.nvidia.com/
arch = x86_64
license = custom
options = !strip
- source = https://download.nvidia.com/XFree86/Linux-x86_64/430.40/NVIDIA-Linux-x86_64-430.40-no-compat32.run
+ source = https://download.nvidia.com/XFree86/Linux-x86_64/435.17/NVIDIA-Linux-x86_64-435.17-no-compat32.run
source = nvidia-drm-outputclass.conf
source = nvidia-utils-beta.sysusers
- source = nvidia-utils-beta-change-vulkan-driver-path.patch
source = nvidia-settings-beta-change-desktop-paths.patch
- sha256sums = 669ff38532ff05c78e1edc3c6df2055fd96437107f5919b6e5a774c3a495501b
+ sha256sums = 1d5e23663c8730f6c8035debe728a18da112e3d0a12a859f76e0b16132c33162
sha256sums = 089d6dc247c9091b320c418b0d91ae6adda65e170934d178cdd4e9bd0785b182
sha256sums = d8d1caa5d72c71c6430c2a0d9ce1a674787e9272ccce28b9d5898ca24e60a167
- sha256sums = 57e2393228b09b85d91b9d095b85899178f6fd4b456cbb7ea39093d07e7c7ca7
sha256sums = 633bf69c39b8f35d0e64062eb0365c9427c2191583f2daa20b14e51772e8423a
pkgname = nvidia-utils-beta
@@ -25,11 +23,11 @@ pkgname = nvidia-utils-beta
optdepends = nvidia-settings-beta: for the configuration tool
optdepends = xorg-server-devel: for nvidia-xconfig
optdepends = opencl-nvidia-beta: for OpenCL support
- provides = nvidia-utils=430.40
+ provides = nvidia-utils=435.17
provides = vulkan-driver
provides = opengl-driver
- provides = nvidia-libgl=430.40
- provides = nvidia-libgl-beta=430.40
+ provides = nvidia-libgl=435.17
+ provides = nvidia-libgl-beta=435.17
conflicts = nvidia-utils
conflicts = nvidia-libgl
replaces = nvidia-libgl
@@ -37,17 +35,17 @@ pkgname = nvidia-utils-beta
pkgname = opencl-nvidia-beta
pkgdesc = OpenCL implemention for NVIDIA (beta version)
depends = zlib
- depends = nvidia-utils-beta>=430.40
+ depends = nvidia-utils-beta>=435.17
optdepends = opencl-headers: headers necessary for OpenCL development
- provides = opencl-nvidia=430.40
+ provides = opencl-nvidia=435.17
provides = opencl-driver
conflicts = opencl-nvidia
pkgname = nvidia-settings-beta
pkgdesc = Tool for configuring the NVIDIA graphics driver (beta version)
- depends = nvidia-utils-beta>=430.40
+ depends = nvidia-utils-beta>=435.17
depends = gtk3
- provides = nvidia-settings=430.40
- provides = nvidia-settings-beta=430.40
+ provides = nvidia-settings=435.17
+ provides = nvidia-settings-beta=435.17
conflicts = nvidia-settings
diff --git a/PKGBUILD b/PKGBUILD
index 9178ca7cdf2..e3235e706b7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
pkgbase=nvidia-utils-beta
pkgname=('nvidia-utils-beta' 'opencl-nvidia-beta' 'nvidia-settings-beta')
-pkgver=430.40
+pkgver=435.17
pkgrel=1
pkgdesc='NVIDIA drivers utilities (beta version)'
arch=('x86_64')
@@ -16,12 +16,10 @@ _pkg="NVIDIA-Linux-${CARCH}-${pkgver}-no-compat32"
source=("https://download.nvidia.com/XFree86/Linux-${CARCH}/${pkgver}/${_pkg}.run"
'nvidia-drm-outputclass.conf'
'nvidia-utils-beta.sysusers'
- 'nvidia-utils-beta-change-vulkan-driver-path.patch'
'nvidia-settings-beta-change-desktop-paths.patch')
-sha256sums=('669ff38532ff05c78e1edc3c6df2055fd96437107f5919b6e5a774c3a495501b'
+sha256sums=('1d5e23663c8730f6c8035debe728a18da112e3d0a12a859f76e0b16132c33162'
'089d6dc247c9091b320c418b0d91ae6adda65e170934d178cdd4e9bd0785b182'
'd8d1caa5d72c71c6430c2a0d9ce1a674787e9272ccce28b9d5898ca24e60a167'
- '57e2393228b09b85d91b9d095b85899178f6fd4b456cbb7ea39093d07e7c7ca7'
'633bf69c39b8f35d0e64062eb0365c9427c2191583f2daa20b14e51772e8423a')
# create soname links
@@ -46,7 +44,6 @@ prepare() {
cd "${_pkg}"
bsdtar -xf nvidia-persistenced-init.tar.bz2
- patch -Np1 -i "${srcdir}/nvidia-utils-beta-change-vulkan-driver-path.patch"
patch -Np1 -i "${srcdir}/nvidia-settings-beta-change-desktop-paths.patch"
}
@@ -132,7 +129,7 @@ package_nvidia-utils-beta() {
install -D -m755 "libnvidia-glvkspirv.so.${pkgver}" -t "${pkgdir}/usr/lib"
# Vulkan ICD
- install -D -m644 "nvidia_icd.json.template" "${pkgdir}/usr/share/vulkan/icd.d/nvidia_icd.json"
+ install -D -m644 nvidia_icd.json -t "${pkgdir}/usr/share/vulkan/icd.d"
# VDPAU
install -D -m755 "libvdpau_nvidia.so.${pkgver}" -t "${pkgdir}/usr/lib/vdpau"
@@ -198,6 +195,13 @@ package_nvidia-utils-beta() {
cp -a html "${pkgdir}/usr/share/doc/${pkgname}/"
#ln -s nvidia "${pkgdir}/usr/share/doc/nvidia-utils"
+ # new power management support
+ install -D -m644 nvidia-suspend.service -t "${pkgdir}/usr/lib/systemd/system"
+ install -D -m644 nvidia-hibernate.service -t "${pkgdir}/usr/lib/systemd/system"
+ install -D -m644 nvidia-resume.service -t "${pkgdir}/usr/lib/systemd/system"
+ install -D -m755 nvidia -t "${pkgdir}/usr/lib/systemd/system-sleep"
+ install -D -m755 nvidia-sleep.sh -t "${pkgdir}/usr/bin"
+
# distro specific files must be installed in /usr/share/X11/xorg.conf.d
install -D -m644 "${srcdir}/nvidia-drm-outputclass.conf" "${pkgdir}/usr/share/X11/xorg.conf.d/10-nvidia-drm-outputclass.conf"
diff --git a/nvidia-utils-beta-change-vulkan-driver-path.patch b/nvidia-utils-beta-change-vulkan-driver-path.patch
deleted file mode 100644
index 1e7a45be536..00000000000
--- a/nvidia-utils-beta-change-vulkan-driver-path.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -Naurp a/nvidia_icd.json.template b/nvidia_icd.json.template
---- a/nvidia_icd.json.template 2019-05-08 00:55:21.000000000 +0000
-+++ b/nvidia_icd.json.template 2019-06-08 15:56:37.000000000 +0000
-@@ -1,7 +1,7 @@
- {
- "file_format_version" : "1.0.0",
- "ICD": {
-- "library_path": "__NV_VK_ICD__",
-+ "library_path": "libGLX_nvidia.so.0",
- "api_version" : "1.1.99"
- }
- }